/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7AYBE2                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2008  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.views;

import org.eclipse.swt.widgets.Composite;

import com.ibm.productivity.tools.ui.views.DefaultRichDocumentView;
import com.ibm.productivity.tools.ui.views.RichDocumentType;
import com.ibm.productivity.tools.ui.views.operations.OperationFactory;

/**
 * demo spreadsheet view
 *
 */
public class SpreadsheetView extends DefaultRichDocumentView {

    public static final String VIEW_ID = "com.ibm.productivity.tools.samples.views.SpreadsheetView";

    public SpreadsheetView() {
        super();
    }

    public void createPartControl( Composite parent ) {
    	//must call super to create part control
        super.createPartControl( parent );
                
        //new a spreadsheet document
        executeOperation(OperationFactory.createNewOperation(RichDocumentType.SPREADSHEET_TYPE));
    }

}
